framework:
    cache:
        # Unique name of your app: used to compute stable cache key namespaces.
        prefix_seed: erpstarz

        # Use filesystem as fallback when Redis is unavailable
        app: cache.adapter.filesystem
        # default_redis_provider: '%env(REDIS_URL)%'

        pools:
            # Dedicated pool for Doctrine Second-Level Cache (SLC).
            # Kept separate from the app cache to allow independent TTL/eviction.
            cache.second_level_cache:
                adapter: cache.adapter.filesystem
                # provider: '%env(REDIS_URL)%'
                default_lifetime: 600

when@test:
    framework:
        cache:
            app: cache.adapter.array
            pools:
                cache.second_level_cache:
                    adapter: cache.adapter.array

when@dev:
    framework:
        cache:
            # Use filesystem in dev so developers don't need Redis running locally.
            app: cache.adapter.filesystem
            pools:
                cache.second_level_cache:
                    adapter: cache.adapter.filesystem
